pkgname=gnome-shell-extension-stealmyfocus
pkgver=1
pkgrel=3
pkgdesc="Remove the 'window is ready' message and focus the window instead."
arch=('any')
url="https://github.com/v-dimitrov/gnome-shell-extension-stealmyfocus"
license=('GPL3')
depends=('gnome-shell')
makedepends=('git')
_commit=a79f6402ac67a0bfd8df42648755057f9272815d
source=("git+https://github.com/v-dimitrov/gnome-shell-extension-stealmyfocus#commit=$_commit"
        "10.patch")
sha256sums=('1d4e7783257aab3f32053dcefb46341ac888333e2c1e00a31ffd3fd3d74bb82d'
            'f80a5bd100f86abc0801dfbacd205f4853f0d15e7eea01ebff0cf987ce48f69a')

prepare() {
  cd "$srcdir/gnome-shell-extension-stealmyfocus"
  patch -Np1 -i "${srcdir}/10.patch"
}


package() {
  cd "$srcdir/gnome-shell-extension-stealmyfocus"
  _uuid='steal-my-focus-window@steal-my-focus-window'

  install -d "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}"
  install -Dm644 "${srcdir}"/gnome-shell-extension-stealmyfocus/metadata.json "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/"
  install -Dm644 "${srcdir}"/gnome-shell-extension-stealmyfocus/extension.js "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/"
}
